ANTIVIEW(1)

NAME
antiview - interactive OFF file viewer

SYNOPSIS
antiview [options] input_file

DESCRIPTION
View a file in OFF format. If input file isn't given read from standard input

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-v <rad>
    radius of vertex spheres, or 'b' to have radius of balls of the maximum size without overlap (default: ball_rad/15)

-e <rad>
    radius of edge cylinders (default: vertex_rad/1.5)

-V <col>
    default vertex colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF' (default: 1.0,0.5,0.0)

-E <col>
    default edge colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF', 'x' to hide implicit edges (default: 0.8,0.6,0.8)

-F <col>
    default face colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF' (default: 0.8,0.9,0.9)

-x <elms> hide elements. The element string can include v, e and f

    to hide vertices, edges and faces

-n <elms> show element index number labels. The element string can

    include v, e and f to label vertices, edges and faces

-s <syms> show symmetry elements. The element string can include

    x - rotation axes m - mirror planes r - rotation-reflection planes a - all elements (same as xmr)

-m <maps> a comma separated list of colour maps used to transform colour

    indexes, a part consisting of letters from v, e, f, selects the element types to apply the map list to (default 'vef').

-t <disp> select face parts to display according to winding number from:

    odd, nonzero (default), positive, negative, no_triangulation (use native polygon display)

-w <wdth> width of sphere containing points (default: calculated)

-I <dist> maximum distance from origin for viewable points

    (default: ignored)

    Scene options -D <dist> distance to camera -C <cent> centre of points, in form 'X,Y,Z' -L <look> point to look at, in form 'X,Y,Z'

    (default, points centre)

-R <rot>
    rotate about axes through centre of points, in form 'X-ang,Y-ang,Z-ang' (degrees)

-B <col>
    background colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF'

Viewing There are four main viewing control modes - rotation (default), drag, zoom, slice. Select a mode with the following keys, or right-click on the window and select from the menu.

Click and drag on the window with the mouse to move the model, or use the arrow keys. The zoom and slice are controlled by forward and backward dragging, or the up and down arrow keys.

Menu Items

    r - rotate, turn the model about its centre d - drag, drag the model around the screen z - zoom, Zoom in or out s - spin control, set or stop the model spinning S - slice, slice into the model. P - projection, toggle display between perspective and orthogonal v - show/hide vertices, toggle display of vertex spheres e - show/hide edges, toggle display of edge rods f - show/hide faces, toggle display of faces n - show/hide vertex numbers, toggle display of vertex number labels n - show/hide face numbers, toggle display of face number labels m - show/hide edge numbers, toggle display of edge number labels t - show/hide transparency, toggle display of any transparency y - rotate through display of symmetry elements: axes; axes and

    mirrors; axes, mirrors and rot-reflection planes; none

    r - reset, reset to the initial viewing options Q - Quit

Other Keys

    J/j - increase/decrease vertex and edge size K/k - increase/decrease vertex size L/l - increase/decrease edge Size c - toggle label colours between light and dark C - Invert label colours

SEE ALSO
The full documentation for antiview is maintained as a Texinfo manual. If the info and antiview programs are properly installed at your site, the command

    info antiview

should give you access to the complete manual.